Demo docs: examples are illustrative.
Referral API

List rewards

GET
/rewards

Authorization

apiKey
headerAuthorizationBearer <token>

Use a secret key such as sk_test_... in test mode or sk_live_... in production.

Query Parameters

limit?integer

Number of items to return, between 1 and 100.

Range1 <= value <= 100
Default25
cursor?string

The next_cursor from a previous response.

status?string
Value in"pending""unlocked""paid""reversed"

Response Body

A page of rewards.

application/json
  1. response
data*array<>
has_more*boolean
next_cursor?string|null
Example Request
curl -X GET 'https://api.referralapi.example/v1/rewards'
Example Response200
{  "data": [    {      "id": "rwd_5Gh8kLq1",      "referral_id": "string",      "recipient": "referrer",      "type": "cash",      "amount": 2000,      "currency": "usd",      "status": "pending",      "unlocks_at": "2019-08-24T14:15:22Z"    }  ],  "has_more": true,  "next_cursor": "string"}